import chimera, Tkinter as tk
from chimera.baseDialog import ModelessDialog

class SpinBoxExperiment(ModelessDialog):
    buttons = ("Close")
    help = False    # Leave this out to get a Help button.
    title = "Spinbox experiment"

    def fillInUI(self, parent):
        self.spinBoxes_D = {"box1": tk.StringVar(), "box2": tk.StringVar()}
        colPos = 0
        for spinboxLabel in self.spinBoxes_D.keys():
            tk.Label(parent, text = "   " + spinboxLabel + ": ").grid(row = 0, column = colPos)
            tk.Spinbox(parent, from_ = 0.0, to = 1.0, textvariable = self.spinBoxes_D[spinboxLabel],
                       width = 3, increment = 0.1).grid(row = 0, column = colPos + 1)
            self.spinBoxes_D[spinboxLabel].set('0.5')
            colPos += 2

        accept_btn = tk.Button(parent, text = "Accept", command = self.accept_btn_Func)
        accept_btn.grid(row = 1, column = 3, columnspan = 2, padx = 4, pady = 4, sticky = tk.E)        

    def accept_btn_Func(self):
        for sbLab in self.spinBoxes_D.keys():
            print self.spinBoxes_D[sbLab].get()

#================================================================

sb = SpinBoxExperiment()
